Module jdk.compiler
Package com.sun.source.util

# Interface TaskListener

public interface TaskListener
Provides a listener to monitor the activity of the JDK Java Compiler, javac.

Since:
  1.6

## Method Summary

Modifier and Type
Method
Description
`default void`
`finished(TaskEvent e)`
Invoked when an event has been completed.
`default void`
`started(TaskEvent e)`
Invoked when an event has begun.

## Method Details

### started

default void started(TaskEvent e)
Invoked when an event has begun.

Implementation Requirements:
  The default implementation of this method does nothing.
Parameters:
  `e` - the event

### finished

default void finished(TaskEvent e)
Invoked when an event has been completed.

Implementation Requirements:
  The default implementation of this method does nothing.
Parameters:
  `e` - the event